<i18n>
{
  "fr": {
    "title": "Simulateur des achats",
    "info": "Les calculs réalisés sont effectués avec la même méthode et les mêmes facteurs d'émission que dans "
  },
  "en": {
    "title": "Purchases simulator",
    "info": "The calculations performed and the emission factors used are the same as in "
  }
}
</i18n>

<template>
  <section class="hero is-default is-bold">
    <div class="hero-body">
      <div class="container">
        <div class="columns">
          <div
            class="column is-8 is-offset-2"
          >
            <su-service
              :icon="'info'"
            >
              <template #title>
                {{ $t('title') }}
              </template>
              {{ $t('info') }}
              <router-link class="link" :to="{ name: 'ges-1point5' }"><em>GES 1point5</em></router-link>.
            </su-service>
            <br />
            <purchase-form
              :purchase="purchase"
              :isSimulation="true"
            />
          </div>
        </div>
      </div>
    </div>
  </section>
</template>

<script>
import Purchase from '@/models/carbon/Purchase.js'

export default {
  name: 'PurchasesSimulator',
  components: {
    'su-service': () => import('@/components/SUService.vue'),
    'purchase-form': () => import('@/components/carbon/forms/PurchaseForm.vue')
  },
  data () {
    return {
      purchase: new Purchase(
        null,
        '',
        0
      )
    }
  }
}
</script>
